This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 179170 - CVE-2006-0296 XULDocument.persist() RDF data injection
CVE-2006-0296 XULDocument.persist() RDF data injection
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
4
All Linux
medium Severity high
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
impact=important,embargo=20060202,rep...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-27 16:04 EST by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: mozilla-1.7.12-1.5.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-26 04:53:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-01-27 16:04:51 EST
XULDocument.persist() RDF data injection

XULDocument.persist() function doesn't verify whether the second
argument is a valid attribute name.  Thus, an attacker can inject
bogus RDF data into localstore.rdf in order to run arbitrary
javascript.

https://bugzilla.mozilla.org/show_bug.cgi?id=319847
Comment 2 Fedora Update System 2006-02-02 18:35:33 EST
From User-Agent: XML-RPC

mozilla-1.7.12-1.5.2 has been pushed for FC4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 3 David Eisenstein 2006-02-26 04:43:34 EST
Should this bug as well as bug 179164 and bug 179167 be closed ERRATA, since
the packages have been pushed to updates?
Comment 4 David Eisenstein 2006-02-26 04:53:19 EST
Closing this bug CURRENTRELEASE.

Update announcement FEDORA-2006-075 for this issue is at:
http://www.redhat.com/archives/fedora-announce-list/2006-February/msg00005.html
Comment 5 David Eisenstein 2006-04-22 03:43:04 EDT
Forgive the bug-spam.  Just checking something, regarding bug # 189589.

Note You need to log in before you can comment on or make changes to this bug.